<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "account_privileges".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "AccountPrivileges".
 *
 * Columns in table "account_privileges" available as properties of the model,
 * followed by relations of table "account_privileges" available as properties of the model.
 *
 * @property integer $id
 * @property integer $account_id
 * @property integer $reviews
 * @property integer $appointment_request
 * @property integer $tracked_calls
 * @property integer $products_services
 * @property integer $edit_providers
 * @property integer $edit_practices
 *
 * @property Account $account
 */
abstract class BaseAccountPrivileges extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'account_privileges';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'AccountPrivileges|AccountPrivileges', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('account_id', 'required'),
            array('account_id, reviews, appointment_request, tracked_calls, products_services, edit_providers,'
                . ' edit_practices', 'numerical', 'integerOnly' => true),
            array('reviews, appointment_request, tracked_calls, products_services', 'default',
                'setOnEmpty' => true, 'value' => null),
            array('id, account_id, reviews, appointment_request, tracked_calls, products_services, '
                . 'edit_providers, edit_practices', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'account' => array(self::BELONGS_TO, 'Account', 'account_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'account_id' => null,
            'reviews' => Yii::t('app', 'Reviews'),
            'appointment_request' => Yii::t('app', 'Appointment Request'),
            'tracked_calls' => Yii::t('app', 'Tracked Calls'),
            'products_services' => Yii::t('app', 'Products Services'),
            'account' => null,
            'edit_providers' => Yii::t('app', 'Edit Providers'),
            'edit_practices' => Yii::t('app', 'Edit Practices'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('account_id', $this->account_id);
        $criteria->compare('reviews', $this->reviews);
        $criteria->compare('appointment_request', $this->appointment_request);
        $criteria->compare('tracked_calls', $this->tracked_calls);
        $criteria->compare('products_services', $this->products_services);
        $criteria->compare('edit_providers', $this->edit_providers);
        $criteria->compare('edit_practices', $this->edit_practices);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
